[Python-modules-commits] r14234 - in packages/mod-wsgi/tags (3 files)

piotr at users.alioth.debian.org piotr at users.alioth.debian.org
Sat Aug 21 14:42:48 UTC 2010


    Date: Saturday, August 21, 2010 @ 14:42:45
  Author: piotr
Revision: 14234

[svn-buildpackage] Tagging mod-wsgi 3.3-1

Added:
  packages/mod-wsgi/tags/3.3-1/
  packages/mod-wsgi/tags/3.3-1/debian/libapache2-mod-wsgi-py3.postinst
    (from rev 14229, packages/mod-wsgi/trunk/debian/libapache2-mod-wsgi-py3.postinst)
Deleted:
  packages/mod-wsgi/tags/3.3-1/debian/libapache2-mod-wsgi-py3.postinst

Deleted: packages/mod-wsgi/tags/3.3-1/debian/libapache2-mod-wsgi-py3.postinst
===================================================================
--- packages/mod-wsgi/trunk/debian/libapache2-mod-wsgi-py3.postinst	2010-08-19 16:39:06 UTC (rev 14228)
+++ packages/mod-wsgi/tags/3.3-1/debian/libapache2-mod-wsgi-py3.postinst	2010-08-21 14:42:45 UTC (rev 14234)
@@ -1,39 +0,0 @@
-#!/bin/sh
-
-set -e
-
-apache_force_reload() {
-    if apache2ctl configtest 2>/dev/null; then
-        #invoke-rc.d apache2 force-reload || true
-        # use "restart" as a workaround for bug #558608
-        invoke-rc.d apache2 restart || true
-    else
-        echo "Your apache2 configuration is broken, please fix it and restart apache2 manually."
-    fi
-}
-
-update_symlink() {
-    wsgi_py=`readlink /usr/lib/apache2/modules/mod_wsgi.so | sed 's,.*-,,'`
-    py_default=`dpkg -s python | grep '^Version' | sed 's,Version: \([^.]*.[^.]*\).*,\1,'`
-    if [ ! "${wsgi_py}" = "${py_default}" ]; then
-        ln -sf mod_wsgi.so-${py_default} /usr/lib/apache2/modules/mod_wsgi.so
-    fi
-}
-
-if [ -z "$2" ]; then
-    update_symlink
-    if [ -e /etc/apache2/apache2.conf ]; then
-        a2enmod wsgi >/dev/null || true
-        apache_force_reload
-    fi
-else
-    #we're upgrading
-    update_symlink
-    if [ -e /etc/apache2/mods-enabled/wsgi.load ]; then
-        apache_force_reload
-    fi
-fi
-
-#DEBHELPER#
-
-exit 0

Copied: packages/mod-wsgi/tags/3.3-1/debian/libapache2-mod-wsgi-py3.postinst (from rev 14229, packages/mod-wsgi/trunk/debian/libapache2-mod-wsgi-py3.postinst)
===================================================================
--- packages/mod-wsgi/tags/3.3-1/debian/libapache2-mod-wsgi-py3.postinst	                        (rev 0)
+++ packages/mod-wsgi/tags/3.3-1/debian/libapache2-mod-wsgi-py3.postinst	2010-08-21 14:42:45 UTC (rev 14234)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+set -e
+
+apache_force_reload() {
+    if apache2ctl configtest 2>/dev/null; then
+        #invoke-rc.d apache2 force-reload || true
+        # use "restart" as a workaround for bug #558608
+        invoke-rc.d apache2 restart || true
+    else
+        echo "Your apache2 configuration is broken, please fix it and restart apache2 manually."
+    fi
+}
+
+update_symlink() {
+    wsgi_py=`readlink /usr/lib/apache2/modules/mod_wsgi.so | sed 's,.*-,,'`
+    py3_default=`dpkg -s python3 | grep '^Version' | sed 's,Version: \([^.]*.[^.]*\).*,\1,'`
+    if [ ! "${wsgi_py}" = "${py3_default}" ]; then
+        ln -sf mod_wsgi.so-${py3_default} /usr/lib/apache2/modules/mod_wsgi.so
+    fi
+}
+
+if [ -z "$2" ]; then
+    update_symlink
+    if [ -e /etc/apache2/apache2.conf ]; then
+        a2enmod wsgi >/dev/null || true
+        apache_force_reload
+    fi
+else
+    #we're upgrading
+    update_symlink
+    if [ -e /etc/apache2/mods-enabled/wsgi.load ]; then
+        apache_force_reload
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0




More information about the Python-modules-commits mailing list